module.exports = function( grunt ) {

    // grunt.loadNpmTasks( 'grunt-plato' );

    // grunt.registerTask( 'build', [ 'lint', 'concat', 'plato' ]);

    var shelljs;

    grunt.registerTask( 'coverage', "Generate a coverage.html file for this project", function() {
        if ( !shelljs ) {
            shelljs = require( "shelljs" );
        }

        if ( !shelljs.which( 'jscoverage' ) ) {
            console.error( "jscoverage not found. Install JSCoverage before continuing.");
            process.exit(1);
        }

        shelljs.exec( 'jscoverage --no-highlight lib lib-cov' );
        var ret = shelljs.exec( 'MOCHA_COV=1 mocha --reporter html-cov spec', { silent: true } );
        if ( ret.code === 0 ) {
            require( 'fs' ).writeFileSync( "./coverage.html", ret.output, "utf-8" );
            shelljs.exec( "open ./coverage.html" );
        } else {
            console.error( "There was an error running your tests." );
        }
    });

    grunt.registerTask( "platogen", "Generate a plato report for this project", function () {
        if ( !shelljs ) {
            shelljs = require( "shelljs" );
        }

        shelljs.exec( 'plato -t "Riak-resource Complexity" -r -d report lib');
        shelljs.exec( 'open ./report/index.html' );
    });

};