module.exports = function( env, initInstaller ) {
    if ( typeof initInstaller === 'undefined' ) {
        initInstaller = true;
    }

    var baseUrl = __dirname + "/../" + (process.env.MOCHA_COV ? "lib-cov" : "lib") + "/";

    env.expect = require( "expect.js" );
    env.sinon = require( "sinon" );
    env._ = require( "lodash" );
    env.fixturePath = __dirname + "/fixtures";
    env.postal = require( "postal" )( _ );

    env.resource = require( baseUrl + "/resource.js" )({
        bus: env.postal,
        engine: 'couchbase'
    });

    env.DbMock = require( "./_dbmock.js" )( env._, env.resource, env.fixturePath );

    env.baseUrl = baseUrl;
    env.couchbase_config = {
        "hosts": ["127.0.0.1:8091"],
        "user": process.env.CB_USER,
        "password": process.env.CB_PASS
    };

    if ( initInstaller ) {
         env.installer = require( fixturePath + "/installer.js" )(  env.couchbase_config, { debug: false } );
     }
};