require("./_setup.js")( global );

var clientFsm = require( baseUrl + "/clientfsm.js" );

describe( "ClientFsm", function() {

    it( "should defer requests until connection is established", function( done ) {

        var config = _.extend( _.cloneDeep( couchbase_config ), { bucket: 'users' } ),
            client = clientFsm( config );

        client.handle( 'get', ['user::1111', function( err, doc, meta ) {
            expect( meta.id ).to.be.ok();
            expect( doc.name ).to.be.ok();
            done();
        }]);
    });

    it( "should supply shortcut methods for dealing with the client", function( done ) {

        var config = _.extend( _.cloneDeep( couchbase_config ), { bucket: 'users' } ),
            client = clientFsm( config );

        client.get( 'user::1111', function( err, doc, meta ) {
            expect( meta.id ).to.be.ok();
            expect( doc.name ).to.be.ok();
            done();
        });
    });

});